{
  config,
  pkgs,
  meta,
  name,
  ...
}:
{
  services = {
    ollama = {
      enable = true;
      host = meta.network.${name}.netbirdIp;
      package = pkgs.callPackage ./package.nix {
        cudaPackages = pkgs.cudaPackages_11;
        # We need to thread our nvidia x11 driver for CUDA.
        extraLibraries = [ config.hardware.nvidia.package ];
      };
    };
  };
}
